/*
 * This file is part of the YASMIN 8051 simulator project
 *
 * Copyright (c) 2000 by Gwenn Englebienne
 *
 * This software is free software; it is protected by the GPL. You can 
 * modify and/or redistribute it under the terms specified by the GNU
 * Public Licence version 2.
 *
 * Be advised that this software comes with no warranty at all, not
 * even the implied warranty of merchantability or fitness for a 
 * particular purpose. 
 *
 * For more information, you could look at the COPYING file, or have a 
 * look at the free software foundation's web site: http://www.fsf.org
 *
 */
 
#ifndef HEXVIEW_H
#define HEXVIEW_H

#include "memory.h"
#include <qwidget.h>
#include <qpainter.h>
#include <qfont.h>
#include <qfontmetrics.h>

class HexView : public QWidget {
     
     Q_OBJECT;
     
 public:

     enum accessType { direct, indirect };
     
     HexView (accessType t = direct, QWidget *parent = 0,
              const char *name = 0);
     ~HexView ();
     void update ();
     QSizePolicy sizePolicy () const;
     QSize sizeHint () const;

 public slots:

     void originChange (int value);

 signals:

     void newMax (int);
     
 protected:

     QPainter *paint;
     QFont *fnt;
     QFontMetrics *metrics;
     unsigned int origin, lh;
     accessType at;
     
     virtual void paintEvent (QPaintEvent *e);
     virtual void resizeEvent (QResizeEvent *e);
     virtual void mouseDoubleClickEvent (QMouseEvent *e);
};

#endif

