/*
 * This file is part of the YASMIN 8051 simulator project
 *
 * Copyright (c) 2000 by Gwenn Englebienne
 *
 * This software is free software; it is protected by the GPL. You can 
 * modify and/or redistribute it under the terms specified by the GNU
 * Public Licence version 2.
 *
 * Be advised that this software comes with no warranty at all, not
 * even the implied warranty of merchantability or fitness for a 
 * particular purpose. 
 *
 * For more information, you could look at the COPYING file, or have a 
 * look at the free software foundation's web site: http://www.fsf.org
 *
 */
 
#ifndef INT_STACK_H
#define INT_STACK_H

typedef enum { serial, timer_1, external_1, timer_0, external_0 } isr;
// typedef enum { external_0, timer_0, external_1, timer_1, serial } isr;

struct stack_node {
     isr type;
     int HP; // High Priority by software
     stack_node *next;
};

class isr_stack {
 private:
     stack_node *root;
 public:
     isr_stack(void);
     void push (isr t, int p);
     isr pop (void);
     void show (void);
     int contains (isr t);
     int contains_higher (isr t, int p);
     void free (void);
     ~isr_stack(void);
};

#endif
