/*
 * This file is part of the YASMIN 8051 simulator project
 *
 * Copyright (c) 2000 by Gwenn Englebienne
 *
 * This software is free software; it is protected by the GPL. You can 
 * modify and/or redistribute it under the terms specified by the GNU
 * Public Licence version 2.
 *
 * Be advised that this software comes with no warranty at all, not
 * even the implied warranty of merchantability or fitness for a 
 * particular purpose. 
 *
 * For more information, you could look at the COPYING file, or have a 
 * look at the free software foundation's web site: http://www.fsf.org
 *
 */
 
#ifndef LEDBAR_H
#define LEDBAR_H

#include <qwidget.h>
#include <qpainter.h>

class Ledbar : public QWidget {
     Q_OBJECT
 public:
     Ledbar (QWidget * parent = 0, const char *name = 0);
     Ledbar (unsigned char val, QWidget *parent = 0, const char *name = 0);
     void setVal (unsigned char value);
     unsigned char value() { return val; };

 signals:
     void valueChanged (unsigned char);

 protected:
     virtual void paintEvent (QPaintEvent *e);
//     virtual void resizeEvent (QResizeEvent *e);
     virtual void mousePressEvent (QMouseEvent *e);

     void redraw ();
     unsigned char val;

};
	  
#endif // LEDBAR_H
