/*
 * This file is part of the YASMIN 8051 simulator project
 *
 * Copyright (c) 2000 by Gwenn Englebienne
 *
 * This software is free software; it is protected by the GPL. You can 
 * modify and/or redistribute it under the terms specified by the GNU
 * Public Licence version 2.
 *
 * Be advised that this software comes with no warranty at all, not
 * even the implied warranty of merchantability or fitness for a 
 * particular purpose. 
 *
 * For more information, you could look at the COPYING file, or have a 
 * look at the free software foundation's web site: http://www.fsf.org
 *
 */
 
#ifndef MAIN_WIDGET_H
#define MAIN_WIDGET_H

#include <qmainwindow.h>
#include <qmenubar.h>
#include <qpopupmenu.h>
#include "8051.h"

class MainWidget : public QMainWindow {

     Q_OBJECT

 public:
     MainWidget (QWidget *parent = 0, const char *name = 0);
     ~MainWidget ();

 protected:

     QMenuBar *mb;
     QPopupMenu *file, *debug;
     Sim8051 *sim;

 public slots:

     void quit (void);
     
};



#endif
