/*
 * This file is part of the YASMIN 8051 simulator project
 *
 * Copyright (c) 2000 by Gwenn Englebienne
 *
 * This software is free software; it is protected by the GPL. You can 
 * modify and/or redistribute it under the terms specified by the GNU
 * Public Licence version 2.
 *
 * Be advised that this software comes with no warranty at all, not
 * even the implied warranty of merchantability or fitness for a 
 * particular purpose. 
 *
 * For more information, you could look at the COPYING file, or have a 
 * look at the free software foundation's web site: http://www.fsf.org
 *
 */
 
#include "memedit.h"
#include <qlabel.h>
#include <qpushbutton.h>
#include "general.h"
#include "memory.h"
#include <stdio.h>

MemEdit::MemEdit (unsigned char address, char *title, accessType at,
                  QWidget *parent, const char *name)
     : QDialog (parent, name, TRUE)
{
     char buf[10];
     this->address = address;
     access = at;
     setCaption (title);
     QLabel *lbl = new QLabel ("Enter the new value:", this);
     lbl->setGeometry (10, 10, 180, 20);
     if (at == direct)
          snprintf(buf, 10, "%d", da (address));
     else
          snprintf(buf, 10, "%d", ida (address));
     ed = new QLineEdit (QString (buf), this, 0);
     ed->setGeometry (10, 40, 180, 20);
     connect (ed, SIGNAL (returnPressed ()), this, SLOT (ok ()));
     QPushButton *ok, *cancel;
     ok = new QPushButton ("Ok", this);
     ok->setGeometry (10, 80, 85, 30);
     connect (ok, SIGNAL (clicked ()), this, SLOT (ok ()));
     cancel = new QPushButton ("Cancel", this);
     cancel->setGeometry (105, 80, 85, 30);
     connect (cancel, SIGNAL (clicked ()), this, SLOT (reject ()));
     resize (200, 125);
     setMinimumSize (200, 125);
}

void MemEdit::ok (void)
{
     if (is_a_nr (ed->text().ascii()))
          if (access == direct)
               da (address) = asm_to_char (ed->text().ascii());
          else
                ida (address) = asm_to_char (ed->text().ascii());
     accept();
}
     
