/*
 * This file is part of the YASMIN 8051 simulator project
 *
 * Copyright (c) 2000 by Gwenn Englebienne
 *
 * This software is free software; it is protected by the GPL. You can 
 * modify and/or redistribute it under the terms specified by the GNU
 * Public Licence version 2.
 *
 * Be advised that this software comes with no warranty at all, not
 * even the implied warranty of merchantability or fitness for a 
 * particular purpose. 
 *
 * For more information, you could look at the COPYING file, or have a 
 * look at the free software foundation's web site: http://www.fsf.org
 *
 */
 
#ifndef MEMEDIT_H
#define MEMEDIT_H

#include <qdialog.h>
#include <qlineedit.h>

class MemEdit : public QDialog {

     Q_OBJECT
     
 public:

     enum accessType { direct, indirect };
     
     MemEdit (unsigned char address, char *title, accessType at,
              QWidget *parent = 0,const char *name = 0);

 protected:
     QLineEdit *ed;
     unsigned char address;
     accessType access;

 public slots:
     void ok (void);
};
     
#endif
