/*
 * This file is part of the YASMIN 8051 simulator project
 *
 * Copyright (c) 2000 by Gwenn Englebienne
 *
 * This software is free software; it is protected by the GPL. You can 
 * modify and/or redistribute it under the terms specified by the GNU
 * Public Licence version 2.
 *
 * Be advised that this software comes with no warranty at all, not
 * even the implied warranty of merchantability or fitness for a 
 * particular purpose. 
 *
 * For more information, you could look at the COPYING file, or have a 
 * look at the free software foundation's web site: http://www.fsf.org
 *
 */
 
#ifndef MEMHEX_H
#define MEMHEX_H

#include "hexview.h"
#include <qgrid.h>
#include <qscrollbar.h>
#include <qlabel.h>

class MemHex : public QGrid {

     Q_OBJECT
     
 protected:
     HexView *viewer1, *viewer2;
     QScrollBar *sb1, *sb2;
     QLabel *direct, *indirect, *j1, *j2;

 public:
     MemHex (QWidget *parent = 0, const char *name = 0);
     ~MemHex ();
     void update ();

 public slots:

     void newMax1 (int);
     void newMax2 (int);
};

#endif
