/*
 * This file is part of the YASMIN 8051 simulator project
 *
 * Copyright (c) 2000 by Gwenn Englebienne
 *
 * This software is free software; it is protected by the GPL. You can 
 * modify and/or redistribute it under the terms specified by the GNU
 * Public Licence version 2.
 *
 * Be advised that this software comes with no warranty at all, not
 * even the implied warranty of merchantability or fitness for a 
 * particular purpose. 
 *
 * For more information, you could look at the COPYING file, or have a 
 * look at the free software foundation's web site: http://www.fsf.org
 *
 */
 
#ifndef MEMVIEW_H
#define MEMVIEW_H

#include <qgrid.h>
#include <qlistview.h>
#include <qlabel.h>
#include <qpoint.h>

class MemView : public QGrid {

     Q_OBJECT 
     
 public:
     MemView (QWidget *parent = 0, const char *name = 0);

 public slots:

     void singleClick (QListViewItem *, const QPoint &, int);
     void update (void);

 protected:

     QLabel *title;
     QListView *lv;
     QListViewItem
          *acc, *accDec, *accHex,
          *b, *bDec, *bHex,
          *psw, *pswDec, *pswHex, *pswReadable,
          *sp, *spDec, *spHex,
          *dptr, *dptrDec, *dptrHex,
          *pcon, *pconHex, *pconDec,
          *ip, *ipDec, *ipHex, *ipReadable,
          *ie, *ieDec, *ieHex, *ieReadable,
          *tmod, *tmodDec, *tmodHex, *tmodReadable,
          *tcon, *tconDec, *tconHex, *tconReadable,
          *t0, *t0Dec, *t0Hex,
          *t1, *t1Dec, *t1Hex,
          *scon, *sconDec, *sconHex,
          *sbuf, *sbufDec, *sbufHex,
          *regs, *ser, *ints, *timers,
          *r0, *r0Dec, *r0Hex,
          *r1, *r1Dec, *r1Hex,
          *r2, *r2Dec, *r2Hex,
          *r3, *r3Dec, *r3Hex,
          *r4, *r4Dec, *r4Hex,
          *r5, *r5Dec, *r5Hex,
          *r6, *r6Dec, *r6Hex,
          *r7, *r7Dec, *r7Hex;
     
};

#endif // MEMVIEW_H
