/*
 * This file is part of the YASMIN 8051 simulator project
 *
 * Copyright (c) 2000 by Gwenn Englebienne
 *
 * This software is free software; it is protected by the GPL. You can 
 * modify and/or redistribute it under the terms specified by the GNU
 * Public Licence version 2.
 *
 * Be advised that this software comes with no warranty at all, not
 * even the implied warranty of merchantability or fitness for a 
 * particular purpose. 
 *
 * For more information, you could look at the COPYING file, or have a 
 * look at the free software foundation's web site: http://www.fsf.org
 *
 */
 
#include "portsview.h"
#include "memory.h"

#define   P0     0x80
#define   P1     0x90
#define   P2     0xA0
#define   P3     0xB0

PortsView::PortsView (QWidget *parent, const char *name)
     : QGrid (2, parent, name)
{
     p0Label = new QLabel ("Port 0  ", this);
     p0Value = new Ledbar (this);
     connect (p0Value, SIGNAL (valueChanged (unsigned char)),
              this, SLOT (p0Change (unsigned char)));

     p1Label = new QLabel ("Port 1  ", this);
     p1Value = new Ledbar (this);
     connect (p1Value, SIGNAL (valueChanged (unsigned char)),
              this, SLOT (p1Change (unsigned char)));
     
     p2Label = new QLabel ("Port 2  ", this);
     p2Value = new Ledbar (this);
     connect (p2Value, SIGNAL (valueChanged (unsigned char)),
              this, SLOT (p2Change (unsigned char)));
     
     p3Label = new QLabel ("Port 3  ", this);
     p3Value = new Ledbar (this);
     connect (p3Value, SIGNAL (valueChanged (unsigned char)),
              this, SLOT (p3Change (unsigned char)));
     update ();
}

PortsView::~PortsView ()
{
     delete p0Label;
     delete p1Label;
     delete p2Label;
     delete p3Label;
     delete p0Value;
     delete p1Value;
     delete p2Value;
     delete p3Value;
}

void PortsView::update ()
{
     p0Value->setVal (da (P0));
     p1Value->setVal (da (P1));
     p2Value->setVal (da (P2));
     p3Value->setVal (da (P3));
}

void PortsView::p0Change (unsigned char c)
{
     da (P0) = c;
}

void PortsView::p1Change (unsigned char c)
{
     da (P1) = c;
}

void PortsView::p2Change (unsigned char c)
{
     da (P2) = c;
}
void PortsView::p3Change (unsigned char c)
{
     da (P3) = c;
}
