/*
 * This file is part of the YASMIN 8051 simulator project
 *
 * Copyright (c) 2000 by Gwenn Englebienne
 *
 * This software is free software; it is protected by the GPL. You can 
 * modify and/or redistribute it under the terms specified by the GNU
 * Public Licence version 2.
 *
 * Be advised that this software comes with no warranty at all, not
 * even the implied warranty of merchantability or fitness for a 
 * particular purpose. 
 *
 * For more information, you could look at the COPYING file, or have a 
 * look at the free software foundation's web site: http://www.fsf.org
 *
 */
 
#ifndef PORTSVIEW_H
#define PORTSVIEW_H

#include <qgrid.h>
#include <qlabel.h>
#include "ledbar.h"

class PortsView : public QGrid
{

     Q_OBJECT
     
 public:
     PortsView (QWidget *parent = 0, const char *name = 0);
     ~PortsView ();

     void update ();

 public slots:

     void p0Change (unsigned char);
     void p1Change (unsigned char);
     void p2Change (unsigned char);
     void p3Change (unsigned char);

 protected:
          
     Ledbar *p0Value, *p1Value, *p2Value, *p3Value;
     QLabel *p0Label, *p1Label, *p2Label, *p3Label;
};

#endif
